# HttpParametersProperty

Parameters for invoking an HTTP endpoint target, such as an Amazon API Gateway endpoint or an EventBridge API destination.

- Source: Generated code
- Type last changed: v2.275.0 · 26 Oct 2026

## Example

```ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_eventsv2 as eventsv2 } from 'aws-cdk-lib';
const httpParametersProperty: eventsv2.CfnSubscriber.HttpParametersProperty = {
  headerParameters: {
    headerParametersKey: 'headerParameters',
  },
  invocationTimeoutSeconds: 'invocationTimeoutSeconds',
  pathParameterValues: ['pathParameterValues'],
  queryStringParameters: {
    queryStringParametersKey: 'queryStringParameters',
  },
};
```

## Properties

- `headerParameters`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | { [key: string]: string } — A map of HTTP header names to values.

  A header name or value may also be a JSONata expression.

- `invocationTimeoutSeconds`: string — The timeout in seconds for each invocation of the target, written as a string.

  Accepts a literal value or a JSONata expression.

- `pathParameterValues`: string[] — Values for the path parameters (wildcards) in the target URL, in order.

- `queryStringParameters`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | { [key: string]: string } — A map of query string parameter names to values.
